package cn.com.ctop.kuaishou.modules.ai.enums;

/**
 * 账户自动投放重构枚举
 */
public enum KuaishouAutoTypeEnum {
    /**
     * 程序化、自定义都是每小时建一次，每天建20次
     * （2：00—22：00），根据设置的总数，将需要创
     * 建的数量平均分到每个小时。
     * 1、若某个小时，可用素材创建完后没有达到既定
     * 需要创建的数量，剩余可创建数量平均分摊到之
     * 后的时间上；
     * 2、若上个小时，匹配创建时有剩余未创建，下一
     * 小时需延续上小时未创建的素材继续创建。
     * <p>
     * type字段
     * 第一位创意创建方式: 4-自定义,7-程序化创意2.0
     * 第二位素材获取方式: 1:素材上新 2：历史高质量 3:历史遗漏素材 4:历史打捞
     * 快手创意素材获取类型
     */
    KUAISHOU_CUSTOM_UP_NEW("41", "自定义上新"),
    KUAISHOU_CUSTOM_HISTORY_TOP("42", "自定义高质量"),
    KUAISHOU_CUSTOM_MISS("43", "自定义历史遗漏"),
    KUAISHOU_CUSTOM_HISTORY_CATCH("44", "自定义历史打捞"),
    KUAISHOU_PROGRAM_UP_NEW("71", "程序化上新"),
    KUAISHOU_PROGRAM_HISTORY_TOP("72", "程序化高质量"),
    KUAISHOU_PROGRAM_MISS("73", "程序化历史遗漏"),
    KUAISHOU_PROGRAM_HISTORY_CATCH("74", "程序化历史打捞");

    /**
     * 类型
     */
    private String type;
    /**
     * 名称
     */
    private String name;

    KuaishouAutoTypeEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getNameByType(String type) {
        for (KuaishouAutoTypeEnum createTypeEnum : KuaishouAutoTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getName();
            }
        }
        return "";
    }

    public String getType() {
        return this.type;
    }

    public String getName() {
        return this.name;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setName(String value) {
        this.name = value;
    }
}
